<?php

/**
 * Implements hook_features_export_options.
 * @return array
 *   A keyed array of items, suitable for use with a FormAPI select or
 *   checkboxes element.
 */
function reeds_config_features_export_options() {
  $options = array();
  $params = array();
  $options['plenty'] = 'stuffx';
  return $options;
}


/**
 * Implementation of hook_features_export.
 */
function reeds_config_features_export($data, &$export, $module_name) {
  //we have module dependencies in order for this module to function properly
  //so we'll add them here
  $export['dependencies']['mymodule'] = 'reeds';
  foreach ($data as $component) {
    $export['features']['reeds_config'][$component] = $component;
  }
  return array();
}

function _reeds_get_config($item) {
  return array($item => array("hello", "bob"));
}

function _reeds_set_config($item) {
  dsm($item);
}

/**
 * Implements hook_features_export_render().
 */
function reeds_config_features_export_render($module_name, $data, $export = NULL) {
  $code = array();
  $code[] = '  $reeds = array();';
  $code[] = '';
  foreach ($data as $sys_name) {
    //retrieve the contest information
    $item = _reeds_get_config($sys_name);
    //add the contest code to the feature
    if (isset($item[$sys_name])) {
      $code[] = '  $reeds[] = '. features_var_export($item, '  ') .';';
    }
  }
  $code[] = '  return $reeds;';
  $code = implode("\n", $code);
  return array('reeds_config_features_default_settings' => $code);
}

/**
 * Implementation of hook_features_rebuild(). [component_hook]
 */
function reeds_config_features_rebuild($module) {
  $items = module_invoke($module, 'reeds_config_features_default_settings');
  //loop over the items we need to recreate
  foreach ($items as $idx => $item) {
    //basic function to take the array and store in the database
    $saved = _reeds_set_config($item);
  }
}

/**
 * Implementation of hook_features_revert(). [component_hook]
 */
function reeds_config_features_revert($module) {
  reeds_config_features_rebuild($module);
}
